import { DepositMethods, UserWallets, DevType, BlockchainType } from "../typings";
export default class {
    urlPrefix: string;
    mappedFunctions: {
        projectFetchCryptoDepositMethods: string;
        userFetchWalletAddresses: string;
        userFetchBalances: string;
        userGenerateNewAddress: string;
        userFetchNotifications: string;
    };
    constructor(urlPrefix: string);
    private fetch;
    projectFetchCryptoDepositMethods(publicKey: string, type: DevType): Promise<DepositMethods>;
    userFetchWalletAddresses(publicKey: string, userId: string): Promise<UserWallets>;
    userFetchBalances(publicKey: string, userId: string, currency: "usd"): Promise<any>;
    userGenerateNewAddress(publicKey: string, userId: string, blockchainType: BlockchainType): Promise<any>;
    userFetchNotifications(publicKey: string, userId: string): Promise<any>;
}
